// set to true to enable a log file
// set to false to disable a log file
// NOTE : if log file disabled will send log messages to the console
$CONF::logEnabled = false;

// set to your time zone (e.g. Pacific)
$CONF::timeZone = "Pacific";

// set to true to require scan authorization based on following settings
// set to false to allow scan for all players
$CONF::scanRequiresAuth = true;

// set to "player" to authorize scanner use based on player name alone
// set to "squad" to authorize scanner use based on squad name alone
// set to "both" to authorize scanner use based on player name and squad name
$CONF::scanAuthScheme = "both";

// set to the player name squad tag authorized to use the scanner ( e.g "~BoP~" )
// NOTE : player name MUST begin with this tag.  Sorry only prefix tags supported
$CONF::scanAuthTag = " ~BoP~";

// set to the player's squad name authorized to use the scanner ( e.g. "Birds of Prey" )
// NOTE : player's squad name must EXACTLY match.
$CONF::scanAuthSquad = " Birds of Prey";

// set to true to display the scan target's network address
$CONF::scanShowNetAddr = true;

// set to email address for match coordination.  
// displayed in welcome message dialog box when 
// a player joins, and in the game info tab.
$CONF::matchEmail = "AlaskanSaint_2000@yahoo.com";
