$missionVersion = "1.2.3";
$missionName    = "\"Battle Chamber\"";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");
exec("BoPstdlib.cs");

$BOP::BoPMap = true;

function setDefaultMissionOptions() {
  $server::TeamPlay = true;
  $server::AllowDeathmatch = false;
  $server::AllowTeamPlay   = true;	
  $server::AllowTeamRed    = true;
  $server::AllowTeamBlue   = true;
  $server::AllowTeamYellow = false;
  $server::AllowTeamPurple = false;
  $server::disableTeamRed    = false;
  $server::disableTeamBlue   = false;
  $server::disableTeamYellow = true;
  $server::disableTeamPurple = true;
}

function mapOnMissionStart() { 
  windSounds();
}

function PhoenixTree::structure::onAttacked(%this, %object) {
  %player = playerManager::vehicleIdToPlayerNum(%object);
  if(%player == 0) {
    return;
  }
  if ( %player.TreeCount != "" ) { 
    %player.TreeCount = %player.TreeCount + 1;
    if ( %player.TreeCount >= 24 ) { 
      say(%player,0,"<F0>I told you not to be messing with Phoenix's Tree!");
      damageObject(%object,100000);
      %player.TreeCount = 0;
    } else if ( (%player.TreeCount % 6) == 0 ) { 
      say(%player,0,"<F0>I'm telling you, don't be messing with Phoenix's Tree!");
    }
  } else { 
    %player.TreeCount = 1;
    say(%player,0,"<F0>Don't be messing with Phoenix's tree!");
  }
}


function R0::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\R0\\Dest";
  $BOP::warpFadeRed      = 1;
  $BOP::warpFadeGreen    = 0;
  $BOP::warpFadeBlue     = 0;
  WARP::transV(%vehicleId, %tmp, 28);
}	

function R1::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\R1\\Dest";
  $BOP::warpFadeRed      = 1;
  $BOP::warpFadeGreen    = 0;
  $BOP::warpFadeBlue     = 0;
  WARP::transV(%vehicleId, %tmp, 28);
}	

function B0::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\B0\\Dest";
  $BOP::warpFadeRed      = 0;
  $BOP::warpFadeGreen    = 0;
  $BOP::warpFadeBlue     = 1;
  WARP::transV(%vehicleId, %tmp, 28);
}	

function B1::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\B1\\Dest";
  $BOP::warpFadeRed      = 0;
  $BOP::warpFadeGreen    = 0;
  $BOP::warpFadeBlue     = 1;
  WARP::transV(%vehicleId, %tmp, 28);
}	
